package com.bonus.canteen.core.order.common.dto;


import com.bonus.canteen.core.order.common.query.OrderQueryParam;

import java.time.LocalDate;
import java.util.List;

public class OrderRefundSearchParam implements OrderQueryParam {
   private Long custId;
   private Long orderId;
   private String macOrderId;
   private Long orderRefundId;
   private LocalDate startDate;
   private LocalDate endDate;
   private String custSearchInfo;
   private String buffetSearchInfo;
   private Integer checkState;
   private Integer applyType;
   private List<Integer> orderTypeList;

   public Long getCustId() {
      return this.custId;
   }

   public Long getOrderId() {
      return this.orderId;
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public Long getOrderRefundId() {
      return this.orderRefundId;
   }

   public LocalDate getStartDate() {
      return this.startDate;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public String getCustSearchInfo() {
      return this.custSearchInfo;
   }

   public String getBuffetSearchInfo() {
      return this.buffetSearchInfo;
   }

   public Integer getCheckState() {
      return this.checkState;
   }

   public Integer getApplyType() {
      return this.applyType;
   }

   public List<Integer> getOrderTypeList() {
      return this.orderTypeList;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }

   public void setOrderRefundId(final Long orderRefundId) {
      this.orderRefundId = orderRefundId;
   }

   public void setStartDate(final LocalDate startDate) {
      this.startDate = startDate;
   }

   public void setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
   }

   public void setCustSearchInfo(final String custSearchInfo) {
      this.custSearchInfo = custSearchInfo;
   }

   public void setBuffetSearchInfo(final String buffetSearchInfo) {
      this.buffetSearchInfo = buffetSearchInfo;
   }

   public void setCheckState(final Integer checkState) {
      this.checkState = checkState;
   }

   public void setApplyType(final Integer applyType) {
      this.applyType = applyType;
   }

   public void setOrderTypeList(final List<Integer> orderTypeList) {
      this.orderTypeList = orderTypeList;
   }

}
